History module
Endpoints
Endpoints for managing Call Details Reports, Call Recordings, Chats and Voicemessages
GET
/chats Returns collection of Chat resources
Parameters
No parameters
Example Request
GET /v1.1/voipstudio/chats HTTP/1.1 Host: l7api.com
Responses
200 Success
401 Unauthorized
401 Unauthorized
Example Response
HTTP/1.1 200 OK
Content-Type: application/json
{
"data": [
{
"id": 4615,
"created_at": "2021-12-30 04:12:32",
"customer_id": 8652,
"duration": 738,
"operator_id": 4815,
"operator_ua": "value",
"state": 1,
"visitor_city": "value",
"visitor_country": "value",
"visitor_email": "value",
"visitor_geo": "value",
"visitor_id": "value",
"visitor_ip": "value",
"visitor_name": "value",
"visitor_referer": "value",
"visitor_ua": "value",
"website_id": 3763
}
],
"total": 59
}
GET
/chats/{id} Returns Chat resource for given Id
Parameters
Endpoint URL:
{id} integerChat identifier
Example Request
GET /v1.1/voipstudio/chats/41 HTTP/1.1 Host: l7api.com
Responses
200 Success
401 Unauthorized
403 Access denied
404 Resource not found
401 Unauthorized
403 Access denied
404 Resource not found
Example Response
HTTP/1.1 200 OK
Content-Type: application/json
{
"data": {
"id": 1292,
"created_at": "2023-11-16 15:32:24",
"customer_id": 5771,
"duration": 7470,
"operator_id": 1720,
"operator_ua": "value",
"state": 0,
"visitor_city": "value",
"visitor_country": "value",
"visitor_email": "value",
"visitor_geo": "value",
"visitor_id": "value",
"visitor_ip": "value",
"visitor_name": "value",
"visitor_referer": "value",
"visitor_ua": "value",
"website_id": 8392
},
"links": {}
}
DELETE
/chatmsgs/{ids} Deletes given chat message resources
Parameters
Endpoint URL:
{ids} comma separated list of integersResource identifiers
Example Request
DELETE /v1.1/voipstudio/chatmsgs/29,163,413 HTTP/1.1 Host: l7api.com
Responses
204 Success
401 Unauthorized
403 Access denied
404 Resource not found
401 Unauthorized
403 Access denied
404 Resource not found
Example Response
HTTP/1.1 204 OK
DELETE
/chatmsgs Deletes collection of ChatMsg resources
Parameters
No parameters
Example Request
DELETE /v1.1/voipstudio/chatmsgs HTTP/1.1 Host: l7api.com
Responses
204 Success
401 Unauthorized
401 Unauthorized
Example Response
HTTP/1.1 204 OK
GET
/cdrs Returns collection of Cdr resources
Parameters
No parameters
Example Request
GET /v1.1/voipstudio/cdrs HTTP/1.1 Host: l7api.com
Responses
200 Success
401 Unauthorized
401 Unauthorized
Example Response
HTTP/1.1 200 OK
Content-Type: application/json
{
"data": [
{
"id": 5942,
"billsec": 6835,
"call_id": 5078,
"calldate": "2025-01-06 10:54:51",
"clid": "value",
"context": "value",
"destination": 2,
"disposition": 0,
"dst": "44779243705",
"dst_codec": "value",
"dst_id": "value",
"dst_name": "value",
"dst_ua": "value",
"duration": 7790,
"info": "value",
"is_root": true,
"live_id": 446,
"parent_live_id": 6588,
"root_live_id": 4877,
"server_id": 8942,
"sip_endpoint_id": 1223,
"src": "12124537768",
"src_codec": "value",
"src_id": "value",
"src_name": "value",
"src_ua": "value",
"t_cause": "value",
"type": 1,
"user_id": 9487
}
],
"total": 59
}
PATCH
/cdrs [BULK] Updates existing Cdr resources
Parameters
Example Request
PATCH /v1.1/voipstudio/cdrs HTTP/1.1
Host: l7api.com
[
[],
{
"id": 9134
}
]
Responses
200 Success
400 Validation error
401 Unauthorized
403 Access denied
404 Resource not found
400 Validation error
401 Unauthorized
403 Access denied
404 Resource not found
Example Response
HTTP/1.1 200 OK
Content-Type: application/json
{
"data": {
"id": 4026,
"billsec": 3978,
"call_id": 3453,
"calldate": "2026-03-22 03:18:53",
"clid": "value",
"context": "value",
"destination": 0,
"disposition": 1,
"dst": "44779243705",
"dst_codec": "value",
"dst_id": "value",
"dst_name": "value",
"dst_ua": "value",
"duration": 7162,
"info": "value",
"is_root": true,
"live_id": 4543,
"parent_live_id": 4599,
"root_live_id": 3909,
"server_id": 7787,
"sip_endpoint_id": 9076,
"src": "44779243705",
"src_codec": "value",
"src_id": "value",
"src_name": "value",
"src_ua": "value",
"t_cause": "value",
"type": 0,
"user_id": 5506
},
"links": {}
}
DELETE
/cdrs Deletes collection of Cdr resources
Parameters
No parameters
Example Request
DELETE /v1.1/voipstudio/cdrs HTTP/1.1 Host: l7api.com
Responses
204 Success
401 Unauthorized
401 Unauthorized
Example Response
HTTP/1.1 204 OK
GET
/cdrs/calltracking Returns collection of Call Tracking Cdr resources
Parameters
No parameters
Example Request
GET /v1.1/voipstudio/cdrs/calltracking HTTP/1.1 Host: l7api.com
Responses
200 Success
401 Unauthorized
401 Unauthorized
Example Response
HTTP/1.1 200 OK
Content-Type: application/json
{
"data": [
{
"id": 3483,
"billsec": 5131,
"call_id": 732,
"calldate": "2025-02-01 23:53:26",
"clid": "value",
"context": "value",
"destination": 0,
"disposition": 3,
"dst": "44203844711",
"dst_codec": "value",
"dst_id": "value",
"dst_name": "value",
"dst_ua": "value",
"duration": 4671,
"info": "value",
"is_root": true,
"live_id": 235,
"parent_live_id": 2268,
"root_live_id": 5022,
"server_id": 8570,
"sip_endpoint_id": 9283,
"src": "13103345244",
"src_codec": "value",
"src_id": "value",
"src_name": "value",
"src_ua": "value",
"t_cause": "value",
"type": 1,
"user_id": 666
}
],
"total": 59
}
GET
/cdrs/{id} Returns Cdr resource for given Id
Parameters
Endpoint URL:
{id} integerCdr identifier
Example Request
GET /v1.1/voipstudio/cdrs/46 HTTP/1.1 Host: l7api.com
Responses
200 Success
401 Unauthorized
403 Access denied
404 Resource not found
401 Unauthorized
403 Access denied
404 Resource not found
Example Response
HTTP/1.1 200 OK
Content-Type: application/json
{
"data": {
"id": 6419,
"billsec": 4574,
"call_id": 9276,
"calldate": "2024-11-15 10:00:14",
"clid": "value",
"context": "value",
"destination": 0,
"disposition": 3,
"dst": "32179243705",
"dst_codec": "value",
"dst_id": "value",
"dst_name": "value",
"dst_ua": "value",
"duration": 9400,
"info": "value",
"is_root": true,
"live_id": 3134,
"parent_live_id": 1810,
"root_live_id": 1695,
"server_id": 4441,
"sip_endpoint_id": 8614,
"src": "44203844711",
"src_codec": "value",
"src_id": "value",
"src_name": "value",
"src_ua": "value",
"t_cause": "value",
"type": 2,
"user_id": 1219
},
"links": {}
}
GET
/cdrs/{id}.trace Returns Cdr resource as SIP Trace for given Id
Parameters
Endpoint URL:
{id} integerCdr identifier
Example Request
GET /v1.1/voipstudio/cdrs/46.trace HTTP/1.1 Host: l7api.com
Responses
200 Success
401 Unauthorized
403 Access denied
404 Resource not found
401 Unauthorized
403 Access denied
404 Resource not found
Example Response
HTTP/1.1 200 OK
Content-Type: application/json
{
"data": {
"id": 617,
"billsec": 652,
"call_id": 1512,
"calldate": "2024-03-15 16:57:38",
"clid": "value",
"context": "value",
"destination": 0,
"disposition": 0,
"dst": "13103345244",
"dst_codec": "value",
"dst_id": "value",
"dst_name": "value",
"dst_ua": "value",
"duration": 5552,
"info": "value",
"is_root": true,
"live_id": 9777,
"parent_live_id": 1169,
"root_live_id": 422,
"server_id": 4124,
"sip_endpoint_id": 6757,
"src": "44203844711",
"src_codec": "value",
"src_id": "value",
"src_name": "value",
"src_ua": "value",
"t_cause": "value",
"type": 3,
"user_id": 8859
},
"links": {}
}
GET
/cdrs/{id}.pcap Returns Cdr resource as PCAP file for given Id
Parameters
Endpoint URL:
{id} integerCdr identifier
Example Request
GET /v1.1/voipstudio/cdrs/25.pcap HTTP/1.1 Host: l7api.com
Responses
200 Success
401 Unauthorized
403 Access denied
404 Resource not found
401 Unauthorized
403 Access denied
404 Resource not found
Example Response
HTTP/1.1 200 OK
Content-Type: application/json
{
"data": {
"id": 2040,
"billsec": 1219,
"call_id": 3406,
"calldate": "2017-05-28 17:14:19",
"clid": "value",
"context": "value",
"destination": 0,
"disposition": 0,
"dst": "13103345244",
"dst_codec": "value",
"dst_id": "value",
"dst_name": "value",
"dst_ua": "value",
"duration": 3026,
"info": "value",
"is_root": true,
"live_id": 5268,
"parent_live_id": 8548,
"root_live_id": 9995,
"server_id": 4735,
"sip_endpoint_id": 21,
"src": "32179243705",
"src_codec": "value",
"src_id": "value",
"src_name": "value",
"src_ua": "value",
"t_cause": "value",
"type": 1,
"user_id": 4995
},
"links": {}
}
GET
/cdrs/dictionaries Returns Dictionary for Cdr resource
Parameters
No parameters
Example Request
GET /v1.1/voipstudio/cdrs/dictionaries HTTP/1.1 Host: l7api.com
Responses
200 Unknown
Example Response
HTTP/1.1 200 OK
Content-Type: application/json
{
"data": [
{
"id": 1921,
"billsec": 9382,
"call_id": 2046,
"calldate": "2017-05-22 07:20:58",
"clid": "value",
"context": "value",
"destination": 1,
"disposition": 0,
"dst": "32179243705",
"dst_codec": "value",
"dst_id": "value",
"dst_name": "value",
"dst_ua": "value",
"duration": 4219,
"info": "value",
"is_root": true,
"live_id": 4489,
"parent_live_id": 2739,
"root_live_id": 5621,
"server_id": 1463,
"sip_endpoint_id": 4065,
"src": "44203846719",
"src_codec": "value",
"src_id": "value",
"src_name": "value",
"src_ua": "value",
"t_cause": "value",
"type": 1,
"user_id": 4125
}
],
"total": 59
}
GET
/cdrs/{id}/notes Returns Notes for give CDR resource
Parameters
Endpoint URL:
{id} integerCdr identifier
Example Request
GET /v1.1/voipstudio/cdrs/20/notes HTTP/1.1 Host: l7api.com
Responses
200 Success
401 Unauthorized
403 Access denied
404 Resource not found
401 Unauthorized
403 Access denied
404 Resource not found
Example Response
HTTP/1.1 200 OK
Content-Type: application/json
{
"data": {
"id": 9607,
"billsec": 4611,
"call_id": 7878,
"calldate": "2018-07-09 20:02:14",
"clid": "value",
"context": "value",
"destination": 1,
"disposition": 3,
"dst": "44203844711",
"dst_codec": "value",
"dst_id": "value",
"dst_name": "value",
"dst_ua": "value",
"duration": 862,
"info": "value",
"is_root": true,
"live_id": 458,
"parent_live_id": 9285,
"root_live_id": 3789,
"server_id": 1298,
"sip_endpoint_id": 372,
"src": "32179243705",
"src_codec": "value",
"src_id": "value",
"src_name": "value",
"src_ua": "value",
"t_cause": "value",
"type": 1,
"user_id": 5557
},
"links": {}
}
GET
/conversations Returns collection of Conversation resources
Parameters
No parameters
Example Request
GET /v1.1/voipstudio/conversations HTTP/1.1 Host: l7api.com
Responses
200 Success
401 Unauthorized
401 Unauthorized
Example Response
HTTP/1.1 200 OK
Content-Type: application/json
{
"data": [
{
"id": "value",
"call_flow": "value",
"channel": "value",
"conversation_id": "value",
"created_at": "2018-08-11 23:22:37",
"customer_id": 5764,
"cx_score": 7769,
"dst": "32179243705",
"dst_id": "value",
"dst_name": "value",
"duration": 2310,
"last_activity_at": "2018-08-11 23:13:14",
"last_message": "value",
"last_message_at": "2018-08-11 23:20:41",
"monitor_ids": "value",
"notes": "value",
"object_class": "value",
"object_id": "value",
"ring_time": 1786,
"src": "44203846719",
"src_id": "value",
"src_name": "value",
"type": 0,
"user_id": 3989,
"voicemessage_id": 1103
}
],
"total": 59
}
PATCH
/conversations [BULK] Updates existing Conversation resources
Parameters
JSON body attributes:
id undefined
labels array
notes undefined
Example Request
PATCH /v1.1/voipstudio/conversations HTTP/1.1
Host: l7api.com
[
{
"id": "abcd",
"labels": "abcd",
"notes": "abcd"
},
{
"id": 4330,
"labels": "abcd",
"notes": "abcd"
}
]
Responses
200 Success
400 Validation error
401 Unauthorized
403 Access denied
404 Resource not found
400 Validation error
401 Unauthorized
403 Access denied
404 Resource not found
Example Response
HTTP/1.1 200 OK
Content-Type: application/json
{
"data": {
"id": "value",
"call_flow": "value",
"channel": "value",
"conversation_id": "value",
"created_at": "2017-06-13 16:53:47",
"customer_id": 3885,
"cx_score": 6305,
"dst": "44203846719",
"dst_id": "value",
"dst_name": "value",
"duration": 1307,
"last_activity_at": "2017-06-13 16:53:44",
"last_message": "value",
"last_message_at": "2017-06-13 17:06:28",
"monitor_ids": "value",
"notes": "value",
"object_class": "value",
"object_id": "value",
"ring_time": 7916,
"src": "44203844711",
"src_id": "value",
"src_name": "value",
"type": 3,
"user_id": 5212,
"voicemessage_id": 4765
},
"links": {}
}
GET
/conversations/{id} Returns Conversation Result resource for given Id
Parameters
Endpoint URL:
{id} integerConversation identifier
Example Request
GET /v1.1/voipstudio/conversations/82 HTTP/1.1 Host: l7api.com
Responses
200 Success
401 Unauthorized
403 Access denied
404 Resource not found
401 Unauthorized
403 Access denied
404 Resource not found
Example Response
HTTP/1.1 200 OK
Content-Type: application/json
{
"data": {
"id": "value",
"call_flow": "value",
"channel": "value",
"conversation_id": "value",
"created_at": "2020-07-16 09:52:55",
"customer_id": 3194,
"cx_score": 6787,
"dst": "44203846719",
"dst_id": "value",
"dst_name": "value",
"duration": 55,
"last_activity_at": "2020-07-16 09:42:50",
"last_message": "value",
"last_message_at": "2020-07-16 09:52:36",
"monitor_ids": "value",
"notes": "value",
"object_class": "value",
"object_id": "value",
"ring_time": 5522,
"src": "44203846719",
"src_id": "value",
"src_name": "value",
"type": 2,
"user_id": 2996,
"voicemessage_id": 7820
},
"links": {}
}
PATCH
/conversations/{id}/members Marks a Conversation as read or unread for the authenticated user
Parameters
Endpoint URL:
{id} integerConversation identifier
Example Request
PATCH /v1.1/voipstudio/conversations/26/members HTTP/1.1 Host: l7api.com
Responses
200 Success
401 Unauthorized
404 Resource not found
401 Unauthorized
404 Resource not found
Example Response
HTTP/1.1 200 OK
Content-Type: application/json
{
"data": {
"id": "value",
"call_flow": "value",
"channel": "value",
"conversation_id": "value",
"created_at": "2019-10-14 02:09:36",
"customer_id": 2102,
"cx_score": 5553,
"dst": "44203844711",
"dst_id": "value",
"dst_name": "value",
"duration": 6033,
"last_activity_at": "2019-10-14 02:07:53",
"last_message": "value",
"last_message_at": "2019-10-14 02:19:22",
"monitor_ids": "value",
"notes": "value",
"object_class": "value",
"object_id": "value",
"ring_time": 6550,
"src": "32179243705",
"src_id": "value",
"src_name": "value",
"type": 1,
"user_id": 4898,
"voicemessage_id": 7907
},
"links": {}
}
GET
/monitors Returns collection of Monitor resources
Parameters
No parameters
Example Request
GET /v1.1/voipstudio/monitors HTTP/1.1 Host: l7api.com
Responses
200 Success
401 Unauthorized
401 Unauthorized
Example Response
HTTP/1.1 200 OK
Content-Type: application/json
{
"data": [
{
"id": 1065,
"call_id": 5300,
"called": "44779243705",
"caller": "44203844711",
"context": "value",
"cx_score": 1884,
"dst": "44203844711",
"dst_id": "value",
"dst_name": "value",
"duration": 8956,
"live_id": 6962,
"sentiment": 2,
"sip_endpoint_id": 6035,
"size": 1653,
"src": "44203844711",
"src_id": "value",
"src_name": "value",
"summary": "value",
"timestamp": "2020-01-23 03:20:05",
"transcript": "value",
"transcript_speakers": "value",
"type": "value",
"user_id": 1915
}
],
"total": 59
}
DELETE
/monitors Deletes all Monitor resources for given customer
Parameters
No parameters
Example Request
DELETE /v1.1/voipstudio/monitors HTTP/1.1 Host: l7api.com
Responses
202 Success
401 Unauthorized
401 Unauthorized
Example Response
HTTP/1.1 202 OK
GET
/monitors/{id} Returns Monitor resource for given Id
Parameters
Endpoint URL:
{id} integerMonitor identifier
Example Request
GET /v1.1/voipstudio/monitors/87 HTTP/1.1 Host: l7api.com
Responses
200 Success
401 Unauthorized
403 Access denied
404 Resource not found
401 Unauthorized
403 Access denied
404 Resource not found
Example Response
HTTP/1.1 200 OK
Content-Type: application/json
{
"data": {
"id": 3153,
"call_id": 4170,
"called": "44203846719",
"caller": "44203844711",
"context": "value",
"cx_score": 7368,
"dst": "32179243705",
"dst_id": "value",
"dst_name": "value",
"duration": 5288,
"live_id": 7826,
"sentiment": 1,
"sip_endpoint_id": 2537,
"size": 703,
"src": "44779243705",
"src_id": "value",
"src_name": "value",
"summary": "value",
"timestamp": "2021-03-22 13:32:45",
"transcript": "value",
"transcript_speakers": "value",
"type": "value",
"user_id": 2621
},
"links": {}
}
GET
/monitors/{id}.mp3 Returns Monitor resource for given Id as MP3 audio file
Parameters
Endpoint URL:
{id} integerMonitor identifier
Example Request
GET /v1.1/voipstudio/monitors/59.mp3 HTTP/1.1 Host: l7api.com
Responses
200 Success
401 Unauthorized
403 Access denied
404 Resource not found
401 Unauthorized
403 Access denied
404 Resource not found
Example Response
HTTP/1.1 200 OK
Content-Type: application/json
{
"data": {
"id": 3200,
"call_id": 3937,
"called": "44779243705",
"caller": "13103345244",
"context": "value",
"cx_score": 8965,
"dst": "44203844711",
"dst_id": "value",
"dst_name": "value",
"duration": 9573,
"live_id": 2343,
"sentiment": 2,
"sip_endpoint_id": 4436,
"size": 2078,
"src": "12124537768",
"src_id": "value",
"src_name": "value",
"summary": "value",
"timestamp": "2020-06-14 01:59:59",
"transcript": "value",
"transcript_speakers": "value",
"type": "value",
"user_id": 2073
},
"links": {}
}
DELETE
/monitors/{ids} Deletes given Monitor resources
Parameters
Endpoint URL:
{ids} comma separated list of integersMonitor identifiers
Example Request
DELETE /v1.1/voipstudio/monitors/36,112,449 HTTP/1.1 Host: l7api.com
Responses
204 Success
401 Unauthorized
403 Access denied
404 Resource not found
401 Unauthorized
403 Access denied
404 Resource not found
Example Response
HTTP/1.1 204 OK
GET
/msdrs Returns collection of Msdr resources
Parameters
No parameters
Example Request
GET /v1.1/voipstudio/msdrs HTTP/1.1 Host: l7api.com
Responses
200 Success
401 Unauthorized
401 Unauthorized
Example Response
HTTP/1.1 200 OK
Content-Type: application/json
{
"data": [
{
"id": 6655,
"call_id": "value",
"created_at": "2022-10-23 22:53:48",
"dst": "12124537768",
"dst_id": "value",
"dst_ua": "value",
"duration": 9123,
"media_session_id": 8108,
"src": "12124537768",
"src_id": "value",
"src_ua": "value",
"t_cause": "value",
"type": "value",
"user_id": 701
}
],
"total": 59
}
GET
/msdrs/{id} Returns Msdr resource for given Id
Parameters
Endpoint URL:
{id} integerMsdr identifier
Example Request
GET /v1.1/voipstudio/msdrs/42 HTTP/1.1 Host: l7api.com
Responses
200 Success
401 Unauthorized
403 Access denied
404 Resource not found
401 Unauthorized
403 Access denied
404 Resource not found
Example Response
HTTP/1.1 200 OK
Content-Type: application/json
{
"data": {
"id": 4100,
"call_id": "value",
"created_at": "2025-06-29 20:29:50",
"dst": "44203844711",
"dst_id": "value",
"dst_ua": "value",
"duration": 8239,
"media_session_id": 5499,
"src": "32179243705",
"src_id": "value",
"src_ua": "value",
"t_cause": "value",
"type": "value",
"user_id": 1853
},
"links": {}
}
GET
/msdrs/{id}.trace Returns Msdr resource as SIP Trace for given Id
Parameters
Endpoint URL:
{id} integerMsdr identifier
Example Request
GET /v1.1/voipstudio/msdrs/42.trace HTTP/1.1 Host: l7api.com
Responses
200 Success
401 Unauthorized
403 Access denied
404 Resource not found
401 Unauthorized
403 Access denied
404 Resource not found
Example Response
HTTP/1.1 200 OK
Content-Type: application/json
{
"data": {
"id": 8936,
"call_id": "value",
"created_at": "2022-01-21 19:37:11",
"dst": "44203846719",
"dst_id": "value",
"dst_ua": "value",
"duration": 15,
"media_session_id": 5338,
"src": "32179243705",
"src_id": "value",
"src_ua": "value",
"t_cause": "value",
"type": "value",
"user_id": 3607
},
"links": {}
}
GET
/msdrs/{id}.pcap Returns Msdr resource as PCAP file for given Id
Parameters
Endpoint URL:
{id} integerMsdr identifier
Example Request
GET /v1.1/voipstudio/msdrs/11.pcap HTTP/1.1 Host: l7api.com
Responses
200 Success
401 Unauthorized
403 Access denied
404 Resource not found
401 Unauthorized
403 Access denied
404 Resource not found
Example Response
HTTP/1.1 200 OK
Content-Type: application/json
{
"data": {
"id": 3252,
"call_id": "value",
"created_at": "2022-10-30 01:49:53",
"dst": "12124537768",
"dst_id": "value",
"dst_ua": "value",
"duration": 1850,
"media_session_id": 6688,
"src": "44203844711",
"src_id": "value",
"src_ua": "value",
"t_cause": "value",
"type": "value",
"user_id": 9964
},
"links": {}
}
GET
/msdrs/dictionaries Returns Dictionary for Msdr resource
Parameters
No parameters
Example Request
GET /v1.1/voipstudio/msdrs/dictionaries HTTP/1.1 Host: l7api.com
Responses
200 Unknown
Example Response
HTTP/1.1 200 OK
Content-Type: application/json
{
"data": [
{
"id": 3229,
"call_id": "value",
"created_at": "2020-02-15 18:46:14",
"dst": "44203846719",
"dst_id": "value",
"dst_ua": "value",
"duration": 4210,
"media_session_id": 7255,
"src": "12124537768",
"src_id": "value",
"src_ua": "value",
"t_cause": "value",
"type": "value",
"user_id": 892
}
],
"total": 59
}
GET
/offlinemessages Returns collection of OfflineMessage resources
Parameters
No parameters
Example Request
GET /v1.1/voipstudio/offlinemessages HTTP/1.1 Host: l7api.com
Responses
200 Success
401 Unauthorized
401 Unauthorized
Example Response
HTTP/1.1 200 OK
Content-Type: application/json
{
"data": [
{
"id": 3957,
"chat_id": 4881,
"created_at": "2021-01-28 04:05:21",
"email": "value",
"message": "value",
"name": "value",
"referer": "value",
"visitor_id": "value",
"website_id": 5997
}
],
"total": 59
}
GET
/offlinemessages/{id} Returns OfflineMessage resource for given Id
Parameters
Endpoint URL:
{id} integerOfflineMessage identifier
Example Request
GET /v1.1/voipstudio/offlinemessages/54 HTTP/1.1 Host: l7api.com
Responses
200 Success
401 Unauthorized
403 Access denied
404 Resource not found
401 Unauthorized
403 Access denied
404 Resource not found
Example Response
HTTP/1.1 200 OK
Content-Type: application/json
{
"data": {
"id": 4473,
"chat_id": 7716,
"created_at": "2018-03-29 22:46:58",
"email": "value",
"message": "value",
"name": "value",
"referer": "value",
"visitor_id": "value",
"website_id": 4962
},
"links": {}
}
DELETE
/statements Deletes collection of Statement resources
Parameters
No parameters
Example Request
DELETE /v1.1/voipstudio/statements HTTP/1.1 Host: l7api.com
Responses
204 Success
401 Unauthorized
401 Unauthorized
Example Response
HTTP/1.1 204 OK
GET
/voicemessages Returns collection of Voicemessage resources
Parameters
No parameters
Example Request
GET /v1.1/voipstudio/voicemessages HTTP/1.1 Host: l7api.com
Responses
200 Success
401 Unauthorized
401 Unauthorized
Example Response
HTTP/1.1 200 OK
Content-Type: application/json
{
"data": [
{
"id": 7022,
"caller": "12124537768",
"callerid": "44779243705",
"dialled": "44779243705",
"duration": 9785,
"extension_id": 5343,
"folder": 2,
"is_new": true,
"live_id": 6062,
"origtime": "2025-10-14 09:12:03",
"parent_live_id": 3580,
"transcript": "value"
}
],
"total": 59
}
PATCH
/voicemessages [BULK] Updates folder of existing Voicemessage resources
Parameters
JSON body attributes:
id integer
folder string
Example Request
PATCH /v1.1/voipstudio/voicemessages HTTP/1.1
Host: l7api.com
[
{
"id": 800,
"folder": "abcd"
},
{
"id": 3742,
"folder": "abcd"
}
]
Responses
200 Success
400 Validation error
401 Unauthorized
403 Access denied
404 Resource not found
400 Validation error
401 Unauthorized
403 Access denied
404 Resource not found
Example Response
HTTP/1.1 200 OK
Content-Type: application/json
{
"data": {
"id": 2983,
"caller": "44203844711",
"callerid": "32179243705",
"dialled": "44779243705",
"duration": 9175,
"extension_id": 9588,
"folder": 0,
"is_new": true,
"live_id": 8346,
"origtime": "2017-06-06 16:28:18",
"parent_live_id": 987,
"transcript": "value"
},
"links": {}
}
DELETE
/voicemessages Deletes collection of Voicemessage resources
Parameters
No parameters
Example Request
DELETE /v1.1/voipstudio/voicemessages HTTP/1.1 Host: l7api.com
Responses
202 Success
401 Unauthorized
401 Unauthorized
Example Response
HTTP/1.1 202 OK
GET
/voicemessages/{id} Returns Voicemessage resource for given Id
Parameters
Endpoint URL:
{id} integerVoicemessage identifier
Example Request
GET /v1.1/voipstudio/voicemessages/83 HTTP/1.1 Host: l7api.com
Responses
200 Success
401 Unauthorized
403 Access denied
404 Resource not found
401 Unauthorized
403 Access denied
404 Resource not found
Example Response
HTTP/1.1 200 OK
Content-Type: application/json
{
"data": {
"id": 8828,
"caller": "44779243705",
"callerid": "44779243705",
"dialled": "44779243705",
"duration": 7920,
"extension_id": 6768,
"folder": 0,
"is_new": true,
"live_id": 1439,
"origtime": "2016-07-13 05:33:08",
"parent_live_id": 9202,
"transcript": "value"
},
"links": {}
}
GET
/voicemessages/{id}.mp3 Returns Voicemessage MP3 file for given Id
Parameters
Endpoint URL:
{id} integerVoicemessage identifier
Example Request
GET /v1.1/voipstudio/voicemessages/96.mp3 HTTP/1.1 Host: l7api.com
Responses
200 Success
401 Unauthorized
403 Access denied
404 Resource not found
401 Unauthorized
403 Access denied
404 Resource not found
Example Response
HTTP/1.1 200 OK
Content-Type: application/json
{
"data": {
"id": 5917,
"caller": "13103345244",
"callerid": "13103345244",
"dialled": "44779243705",
"duration": 9193,
"extension_id": 5989,
"folder": 1,
"is_new": true,
"live_id": 4568,
"origtime": "2019-04-10 17:08:19",
"parent_live_id": 4772,
"transcript": "value"
},
"links": {}
}
DELETE
/voicemessages/{ids} Deletes given voicemessage resources
Parameters
Endpoint URL:
{ids} comma separated list of integersVoicemessage identifiers
Example Request
DELETE /v1.1/voipstudio/voicemessages/78,185,481 HTTP/1.1 Host: l7api.com
Responses
204 Success
401 Unauthorized
403 Access denied
404 Resource not found
401 Unauthorized
403 Access denied
404 Resource not found
Example Response
HTTP/1.1 204 OK
GET
/sms/dictionaries Returns Dictionary for SMS resource
Parameters
No parameters
Example Request
GET /v1.1/voipstudio/sms/dictionaries HTTP/1.1 Host: l7api.com
Responses
200 Unknown
Example Response
HTTP/1.1 200 OK
Content-Type: application/json
{
"data": [
{
"id": 6171,
"conversation_id": "value",
"created_at": "2016-07-13 12:48:02",
"from": "44779243705",
"from_id": "value",
"from_name": "value",
"message": "value",
"result": "value",
"to": "12124537768",
"to_id": "value",
"to_name": "value",
"type": "value",
"user_id": 9239
}
],
"total": 59
}
GET
/calltracking/cdrs Returns collection of Call Tracking Cdr resources
Parameters
No parameters
Example Request
GET /v1.1/voipstudio/calltracking/cdrs HTTP/1.1 Host: l7api.com
Responses
200 Success
401 Unauthorized
401 Unauthorized
Example Response
HTTP/1.1 200 OK
Content-Type: application/json
{
"data": [
{
"id": 6903,
"billsec": 9189,
"call_id": 9887,
"calldate": "2022-12-26 19:05:41",
"clid": "value",
"context": "value",
"destination": 1,
"disposition": 3,
"dst": "44203844711",
"dst_codec": "value",
"dst_id": "value",
"dst_name": "value",
"dst_ua": "value",
"duration": 2298,
"info": "value",
"is_root": true,
"live_id": 5118,
"parent_live_id": 1759,
"root_live_id": 7381,
"server_id": 4784,
"sip_endpoint_id": 7940,
"src": "13103345244",
"src_codec": "value",
"src_id": "value",
"src_name": "value",
"src_ua": "value",
"t_cause": "value",
"type": 2,
"user_id": 4280
}
],
"total": 59
}
GET
/users/{id}/cdrs.csv Exports collection of Cdr resources to .csv file for given user
Parameters
Endpoint URL:
{id} integerUser identifier
Example Request
GET /v1.1/voipstudio/users/15/cdrs.csv HTTP/1.1 Host: l7api.com
Responses
200 Success
401 Unauthorized
401 Unauthorized
Example Response
HTTP/1.1 200 OK
Content-Type: application/json
{
"data": {
"id": 8227,
"active": true,
"created_at": "value",
"customer": 4965,
"email": "value",
"first_name": "value",
"is_initial": true,
"is_root": true,
"last_name": "value",
"legacy_api_key": "value",
"roles": "value",
"status": 5,
"two_factor_auth": 0,
"visited_apps": "value"
},
"links": {}
}
GET
/mediasessions/dictionaries Returns Dictionary for Media Session resource
Parameters
No parameters
Example Request
GET /v1.1/voipstudio/mediasessions/dictionaries HTTP/1.1 Host: l7api.com
Responses
200 Unknown
Example Response
HTTP/1.1 200 OK
Content-Type: application/json
{
"data": [
{
"id": 961,
"call_id": "value",
"created_at": "2023-12-22 22:39:48",
"dst_id": "value",
"dst_ua": "value",
"duration": 7416,
"src_id": "value",
"src_ua": "value",
"status": "value",
"type": "value",
"updated_at": "2023-12-22 22:24:32",
"user": 1109
}
],
"total": 59
}
Models
CDR
| Attribute | Data type | Description |
| id | integer | Object ID |
| duration | integer | Call duration in seconds |
| live_id | integer | The identifier of the Live Call that generated this CDR record. It can be used to look up related records, such as call recordings. |
| parent_live_id | integer | The identifier of parent (previous) Live Call that generated this CDR record. |
| user_id | integer | The identifier of the User who made the call. |
| sip_endpoint_id | integer | The identifier of the SIP Endpoint which made or received the call. |
| server_id | integer | The identifier of the Media Server which handled the call. |
| type | string | Call type: O (outbound), I (inbound), M (missed) |
| calldate | string | Date and time of the call in format YYYY-MM-DD H:I:S in UTC timezone |
| clid | string | Caller ID (if available) with number; |
| src_id | string | The identified of the Source of the call, for example User ID 10002 or Contact ID contact:3423 |
| src_name | string | String representation of Source of the call, for example Contact name |
| src | string | Telephone number associated with the Source of the call |
| src_ua | string | User agent of the Source of the call |
| src_codec | string | Audio Codec of the Source of the call |
| dst_id | string | The identified of the Destination of the call, for example User ID 10002, Contact ID contact:3423 an IVR IVR324 or a Queue Queue12443 |
| dst | string | Telephone number associated with the Destination of the call |
| dst_name | string | String representation of Destination of the call, for example Contact name or a Queue name |
| dst_ua | string | User agent of the Destination of the call |
| dst_codec | string | Audio Codec of the Source of the call |
| billsec | integer | Billable (connected) time of the call |
| disposition | string | Outcome of the call, one of: INITIAL, RINGING, CONNECTED, ON_HOLD or VM (Voicemail) |
| destination | string | Call direction: in (inbound), out (outbound), webcall (Web Call) or callmeback (Call Me Back) |
| context | string | Call context: PSTN_CALL, USER_LOCAL, IVR, FOLLOW_ME, TEST_CALL etc. |
| t_cause | string | Call termination reason, for example: Normal Clearing, User busy, No user responding etc. |
| info | string | Additional information about the call. |
| call_id | integer | Depreciated |
| is_root | boolean | Depreciated |
| root_live_id | integer | Depreciated |